petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorFunction

functional form passed to SNESMonitorSet() to monitor convergence of nonlinear solver

### Synopsis

    #include <petscsnes.h>
    $    PetscErrorCode SNESMonitorFunction(SNES snes,PetscInt its, PetscReal norm,void *mctx)

| snes | - the SNES context Many br
| its | - iteration number Many br
| norm | - 2-norm function value (may be estimated) Many br
| mctx | - [optional] monitoring context Many br

Many br

### See Also

SNESMonitorSet(), SNESMonitorGet()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages